メインコンテンツへスキップ
POST
/
crm
/
extensions
/
calling
/
2026-03
/
inbound-call
Submit details of an inbound call to the CRM.
curl --request POST \
  --url https://api.hubapi.com/crm/extensions/calling/2026-03/inbound-call \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "createEngagement": true,
  "engagementProperties": {},
  "externalCallId": "<string>",
  "finalCallStatus": "BUSY",
  "fromNumber": {
    "e164Number": "<string>",
    "phoneNumberType": "FIXED_LINE",
    "extension": "<string>"
  },
  "potentialRecipientUserIds": [
    123
  ],
  "toNumber": {
    "e164Number": "<string>",
    "phoneNumberType": "FIXED_LINE",
    "extension": "<string>"
  },
  "callStartedTimestamp": "2023-11-07T05:31:56Z",
  "durationSeconds": 123,
  "userId": 123
}
'
{
  "callerIdMatches": [
    {
      "callerIdType": "CONTACT",
      "objectCoordinates": {
        "objectId": 123,
        "objectTypeId": "<string>",
        "portalId": 123
      },
      "email": "<string>",
      "firstName": "<string>",
      "lastName": "<string>"
    }
  ]
}

Supported products

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

ボディ

application/json
createEngagement
boolean
必須

Indicates whether an engagement should be created for the call.

engagementProperties
object
必須

Contains additional properties related to the engagement.

externalCallId
string
必須

The unique identifier for the call from an external system.

finalCallStatus
enum<string>
必須

The final status of the call, with accepted values including: BUSY, CALLING_CRM_USER, CANCELED, COMPLETED, CONNECTING, FAILED, HOLD, IN_PROGRESS, MISSED, NO_ANSWER, QUEUED, RINGING, UNKNOWN.

利用可能なオプション:
BUSY,
CALLING_CRM_USER,
CANCELED,
COMPLETED,
CONNECTING,
FAILED,
HOLD,
IN_PROGRESS,
MISSED,
NO_ANSWER,
QUEUED,
RINGING,
UNKNOWN
fromNumber
object
必須
potentialRecipientUserIds
integer<int32>[]
必須
toNumber
object
必須
callStartedTimestamp
string<date-time>

The timestamp indicating when the call started, formatted as a date-time string.

durationSeconds
integer<int32>

The duration of the call in seconds.

userId
integer<int32>

The ID of the user associated with the call.

レスポンス

successful operation

callerIdMatches
(CONTACT · object | COMPANY · object)[]
必須
Last modified on April 13, 2026